# Linux-specific (and language-independent) keys
#
# This file describes function keys, console switching keys,
# keypad, cursor keys, and SysRq, ScrollLock, Pause
#
# It does not use the AltGr modifier, so that the user can opt
# to have both Alt keys produce the same effect.
# As a consequence, the Hex_* keys are missing, as are
#	control altgr keycode 83 = Boot
#	control altgr keycode 111 = Boot
#
# One culture-specific item that will be overridden in many keymaps
# is the KP_Period: many countries have a KP_Comma instead.
#
# One user-preference item will be the function of the Delete key.
#
# Old keyboards have 10 function keys, and keymaps have
# sometimes used shift+F1 = F11, and sometimes shift+F1 = F13.
# Here we assume an enhanced keyboard (with 12 function keys).
#
plain keycode  88 = F1
plain keycode  89 = F2
plain keycode  90 = F3
plain keycode  91 = F4
plain keycode  92 = F5
plain keycode  93 = F6
plain keycode  94 = F7
plain keycode  95 = F8
plain keycode  120 = F9
plain keycode  121 = F10
plain keycode  122 = F11
plain keycode  123 = F12
plain keycode  113 = F13
plain keycode  114 = F14
plain keycode  115 = F15
plain keycode  116 = F16
plain keycode  117 = F17
plain keycode  118 = F18
plain keycode  119 = F19
plain keycode  124 = F20
plain keycode  125 = F21
plain keycode  126 = F22
plain keycode  127 = F23
plain keycode  99 = F24
control keycode  88 = F25
control keycode  89 = F26
control keycode  90 = F27
control keycode  91 = F28
control keycode  92 = F29
control keycode  93 = F30
control keycode  94 = F31
control keycode  95 = F32
control keycode 120 = F33
control keycode 121 = F34
control keycode 122 = F35
control keycode 123 = F36
control keycode 113 = F37
control keycode 114 = F38
control keycode 115 = F39
control keycode 116 = F40
control keycode 117 = F41
control keycode 118 = F42
control keycode 119 = F43
control keycode 124 = F44
control keycode 125 = F45
control keycode 126 = F46
control keycode 127 = F47
control keycode  99 = F48
#
# The canonical assignment for F37-F48 uses
#	control shift keycode  59 = F37
# etc. If you want that, load linux-keys-extd.inc
#
# Both Alt+Fn and Control+Alt+Fn switch to Console n
# (in order to please Linux / dosemu / X).
# Here Consoles 1..12. For 13..24 load linux-keys-extd.inc
#
alt keycode  88 = Console_1
alt keycode  89 = Console_2
alt keycode  90 = Console_3
alt keycode  91 = Console_4
alt keycode  92 = Console_5
alt keycode  93 = Console_6
alt keycode  94 = Console_7
alt keycode  95 = Console_8
alt keycode 120 = Console_9
alt keycode 121 = Console_10
alt keycode 122 = Console_11
alt keycode 123 = Console_12
control alt keycode  88 = Console_1
control alt keycode  89 = Console_2
control alt keycode  90 = Console_3
control alt keycode  91 = Console_4
control alt keycode  92 = Console_5
control alt keycode  93 = Console_6
control alt keycode  94 = Console_7
control alt keycode  95 = Console_8
control alt keycode 120 = Console_9
control alt keycode 121 = Console_10
control alt keycode 122 = Console_11
control alt keycode 123 = Console_12

#
# Keypad keys
#
keycode  69 = Num_Lock
keycode  98 = KP_Divide
keycode  55 = KP_Subtract
keycode  74 = KP_Multiply
keycode  78 = KP_Add
#
keycode  71 = KP_7
keycode  72 = KP_8
keycode  73 = KP_9
keycode  75 = KP_4
keycode  76 = KP_5
keycode  77 = KP_6
keycode  79 = KP_1
keycode  80 = KP_2
keycode  81 = KP_3
keycode  82 = KP_0
#
keycode  83 = KP_Period			# or KP_Comma
control alt keycode  83 = Boot
#
alt keycode  71 = Ascii_7
alt keycode  72 = Ascii_8
alt keycode  73 = Ascii_9
alt keycode  75 = Ascii_4
alt keycode  76 = Ascii_5
alt keycode  77 = Ascii_6
alt keycode  79 = Ascii_1
alt keycode  80 = Ascii_2
alt keycode  81 = Ascii_3
alt keycode  82 = Ascii_0
#
# The four cursor keys
#
keycode 103 = Up
keycode 86 = Left
keycode 106 = Right
keycode 85 = Down
keycode  96 = Home
alt keycode 103 = KeyboardSignal
alt keycode 85 = Decr_Console
alt keycode 106 = Incr_Console
#
# The six edit keys
#
# 110 = Backtab
# 102 = Dup
# 104 = Jump
keycode 111 = KP_Enter
keycode 109 = Remove		# Del
keycode 107 = Insert		# Ins
shift keycode 104 = Scroll_Backward
shift keycode 109 = Scroll_Forward
control	alt keycode 109 = Boot
#
# The three system keys
#
keycode  84 = Last_Console		# Alt+SysRq/PrintScrn
keycode  99 = VoidSymbol		# SysRq/PrintScrn
alt	keycode 99 = Control_backslash
control	keycode 99 = Control_backslash

plain   keycode 70 = Scroll_Lock
shift	keycode 70 = Show_Memory
control keycode 70 = Show_State
alt	keycode 70 = Show_Registers

keycode 101 = Break			# Ctrl+Break/Pause
keycode 119 = Pause			# Break/Pause

